{
  "format_version": "1.16.100",
  "minecraft:fog_settings": {
    "description": {
      "identifier": "realsource:fog_default"
    },
    "distance": {
      "air": {
        "fog_start": 0.92,
        "fog_end": 1.00,
        "fog_color": "#0076ff",
        "render_distance_type": "render"
      },
      "water": {
        "fog_start": 0.92,
        "fog_end": 1.0,
        "fog_color": "#00b5f8",
        "render_distance_type": "render"
      },
      "weather": {
        "fog_start": 0.99,
        "fog_end": 1.0,
        "fog_color": "#666666",
        "render_distance_type": "render"
      },
      "lava": {
        "fog_start": 0.0,
        "fog_end": 0.64,
        "fog_color": "#991A00",
        "render_distance_type": "fixed"
      },
      "lava_resistance": {
        "fog_start": 2.0,
        "fog_end": 4.0,
        "fog_color": "#991A00",
        "render_distance_type": "fixed"
      }
    },
    "volumetric": {
      "density": {
        "air": {
          "max_density": 0.026,
          "max_density_height": 80,
          "zero_density_height": 120,
	  "uniform": false
        },
	"lava": {
          "max_density": 0.0,
          "max_density_height": 80,
          "zero_density_height": 120,
	  "uniform": false
        },
	"lava_resistance": {
          "max_density": 0.0,
          "max_density_height": 80,
          "zero_density_height": 120,
	  "uniform": false
        }
      },
      "media_coefficients": {
        "air": {
          "scattering": [ 0.008, 0.006, 0.015  ],
          "absorption": [ 0.04, 0.04, 0.08  ]
        },
        "water": {
          "scattering": [ 0.001, 0.009, 0.012  ],
          "absorption": [ 0.16, 0.101, 0.102 ]
        },
          "cloud": {
          "scattering": [ 0.1, 0.1, 0.1 ],
          "absorption": [ 0.0, 0.0, 0.0 ]
        }
      }
    }
  }
}